pydo.kubernetes.add_node_pool()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.kubernetes.add_node_pool(
cluster_id="bd5f5959-5e1e-4205-a714-a914373942af",
body={
"size": "s-1vcpu-2gb",
"name": "frontend-pool",
"count": 3,
...,
},
)Description
To add an additional node pool to a Kubernetes clusters, send a POST request
to /v2/kubernetes/clusters/{cluster_id}/node_pools with the following
attributes.
Parameters
cluster_idstring requiredA unique ID that can be used to reference a Kubernetes cluster.
sizestring requiredExample:
s-1vcpu-2gbThe slug identifier for the type of Droplet used as workers in the node pool.
idstring optional read-onlyExample:
cdda885e-7663-40c8-bc74-3a036c66545dA unique ID that can be used to identify and reference a specific node pool.
namestring requiredExample:
frontend-poolA human-readable name for the node pool.
countinteger requiredExample:
3The number of Droplet instances in the node pool.
tagsarray of strings optionalExample:
['k8s', 'k8s:bd5f5959-5e1e-4205-a714-a914373942af', 'k8s-worker', 'production', 'web-team']An array containing the tags applied to the node pool. All node pools are automatically tagged
k8s,k8s-worker, andk8s:$K8S_CLUSTER_ID.
Requirestag:readscope.labelsobject or null optionalAn object of key/value mappings specifying labels to apply to all nodes in a pool. Labels will automatically be applied to all existing nodes and any subsequent nodes added to the pool. Note that when a label is removed, it is not deleted from the nodes in the pool.
taintsarray of objects optionalAn array of taints to apply to all nodes in a pool. Taints will automatically be applied to all existing nodes and any subsequent nodes added to the pool. When a taint is removed, it is deleted from all nodes in the pool.
Show child properties
keystring optionalExample:
priorityAn arbitrary string. The
keyandvaluefields of thetaintobject form a key-value pair. For example, if the value of thekeyfield is "special" and the value of thevaluefield is "gpu", the key value pair would bespecial=gpu.valuestring optionalExample:
highAn arbitrary string. The
keyandvaluefields of thetaintobject form a key-value pair. For example, if the value of thekeyfield is "special" and the value of thevaluefield is "gpu", the key value pair would bespecial=gpu.effectstring optionalHow the node reacts to pods that it won't tolerate. Available effect values are
NoSchedule,PreferNoSchedule, andNoExecute.
auto_scaleboolean optionalExample:
TrueA boolean value indicating whether auto-scaling is enabled for this node pool.
min_nodesinteger optionalExample:
3The minimum number of nodes that this node pool can be auto-scaled to. The value will be
0ifauto_scaleis set tofalse.max_nodesinteger optionalExample:
6The maximum number of nodes that this node pool can be auto-scaled to. The value will be
0ifauto_scaleis set tofalse.nodesarray of objects optional read-onlyAn object specifying the details of a specific worker node in a node pool.
Show child properties
idstring optionalExample:
e78247f8-b1bb-4f7a-8db9-2a5f8d4b8f8fA unique ID that can be used to identify and reference the node.
namestring optionalExample:
adoring-newton-3niqAn automatically generated, human-readable name for the node.
statusobject optionalAn object containing a
stateattribute whose value is set to a string indicating the current status of the node.Show child properties
statestring optionalA string indicating the current status of the node.
droplet_idstring optionalExample:
205545370The ID of the Droplet used for the worker node.
created_atstring optionalExample:
2018-11-15T16:00:11ZA time value given in ISO8601 combined date and time format that represents when the node was created.
updated_atstring optionalExample:
2018-11-15T16:00:11ZA time value given in ISO8601 combined date and time format that represents when the node was last updated.
Request Sample
Response Example
More Information
See /v2/kubernetes/clusters/{cluster_id}/node_pools in the API reference for additional detail on responses, headers, parameters, and more.